Supported SQL Server Editions

KB#1046: Last Updated Sep 29, 2016

Inedo products all have the same database requirements. This table summarizes the options available:

SQL Server 2005 Not supported by Microsoft on Windows 8 or later
SQL Server 2008 Requires .NET 3.5 SP1 and Windows Installer 4.5
SQL Server 2008 R2 Requires .NET 3.5 SP1 and Windows Installer 4.5
SQL Server 2012 Requires .NET 4 and Windows Vista or later
SQL Server 2014 Requires .NET 4 and Windows 8 / Windows Server 2012 or later
SQL Server 2016 Requires .NET 4.6 and Windows 8 / Windows Server 2012 or later

Installation

If you use any of the product's installers that bundle SQL Express, you will have the option of installing a SQL 2005 Express instance automatically. If you would prefer to use a different version, you must install it first manually, then supply the connection string to the product's installer.